dotPlot {caret} | R Documentation

## Create a dotplot of variable importance values

### Description

A lattice `dotplot` is created from an object of class `varImp.train`.

### Usage

    dotPlot(x, top = min(20, dim(x$importance)[1]), ...)

### Arguments

`x` | an object of class `varImp.train`
`top` | the number of predictors to plot
`...` | options passed to `dotplot`

### Value

an object of class `trellis`.

### Author(s)

Max Kuhn

### See Also

`varImp`, `dotplot`

### Examples

    data(iris)
    TrainData <- iris[,1:4]
    TrainClasses <- iris[,5]

    knnFit <- train(TrainData, TrainClasses, "knn")

    knnImp <- varImp(knnFit)

    dotPlot(knnImp)

[Package caret version 6.0-76 Index]